DCMTK: DcmPrivateTagCache Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmPrivateTagCache Class Reference

this class implements a cache of Private Creator elements and corresponding reserved tag numbers. More...

## Public Member Functions
| DcmPrivateTagCache ()
| default constructor
virtual | ~DcmPrivateTagCache ()
| destructor
void | clear ()
| resets the cache to default-constructed state
const char * | findPrivateCreator (const DcmTagKey &tk) const
| looks up the private creator identifier for the given private tag
void | updateCache (DcmObject *dobj)
| updates the private creator cache with the given object.

## Private Member Functions
| DcmPrivateTagCache (const DcmPrivateTagCache &)
| private undefined copy constructor
DcmPrivateTagCache & | operator= (const DcmPrivateTagCache &)
| private undefined copy assignment operator

## Private Attributes
OFList< DcmPrivateTagCacheEntry * > | list_
| the list

## Detailed Description

this class implements a cache of Private Creator elements and corresponding reserved tag numbers.

## Member Function Documentation

## ◆ findPrivateCreator()

const char * DcmPrivateTagCache::findPrivateCreator | ( | const DcmTagKey & | tk | ) | const

looks up the private creator identifier for the given private tag

Parameters

  tk | private tag to check

Returns
  private creator identifier if found, NULL otherwise.

## ◆ updateCache()

void DcmPrivateTagCache::updateCache | ( | DcmObject * | dobj | ) |

updates the private creator cache with the given object.

If the object points to a private creator element, the tag key and creator identifier are added to the cache. Otherwise, the cache remains unmodified.

Parameters

  dobj | the given object

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcpcache.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1